package com.ruoyi.biemo.business.domain.event;

import com.ruoyi.biemo.business.domain.Category;
import com.ruoyi.biemo.business.domain.Report;
import org.springframework.context.ApplicationEvent;

import java.util.ArrayList;
import java.util.List;

/**
 * @author makesoft
 * @date 2022-09-10 17:13
 */
public class ReportSaveEvent extends ApplicationEvent {

    private List<Report>  list;
    public ReportSaveEvent(Object source, Report t) {
        super(source);
        this.list=new ArrayList<>(1);
        this.list.add(t);
    }

    public ReportSaveEvent(Object source, List<Report> t) {
        super(source);
        this.list = t;
    }

    public List<Report> getList() {
        return list;
    }

    public void setList(List<Report> list) {
        this.list = list;
    }

}
